
Smart Proxy - Refactor #25100

Replace Ruby logging stack with logging gem

10/02/2018 09:21 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Core   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/611,

https://github.com/theforeman/smart-pro

xy/pull/614

  

Description

For more info read https://projects.theforeman.org/issues/22569 and 

https://community.theforeman.org/t/rfc-unified-and-structured-logging/8334

Related issues:

Related to Foreman - Tracker #22569: Unified and structured logging Assigned

Related to foreman-tasks - Bug #25239: undefined method 'formatter=' for Logg... Closed

Related to Smart Proxy - Refactor #25244: Better logging of exceptions Closed

Associated revisions

Revision 9d460533 - 10/15/2018 08:37 AM - Lukas Zapletal 

Fixes #25100 - Ruby logging stack replaced with logging gem

Revision 1cb579c4 - 10/16/2018 02:05 PM - Lukas Zapletal 

Refs #25100 - do not use Process::CLOCK_MONOTONIC yet

History

#1 - 10/02/2018 09:22 AM - Lukas Zapletal

- Related to Tracker #22569: Unified and structured logging added

#2 - 10/04/2018 01:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/611 added

#3 - 10/15/2018 08:38 AM - Anonymous

- Fixed in Releases 1.20.0 added

#4 - 10/15/2018 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 9d4605334ad7fec1b2e344cba15f15567db9c00d.

#5 - 10/16/2018 01:49 PM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/614 added

#6 - 10/18/2018 02:03 PM - Adam Ruzicka

- Related to Bug #25239: undefined method 'formatter=' for Logging::RootLogger when running SPDC inside smart-proxy added
#7 - 10/19/2018 07:15 AM - Lukas Zapletal

- Related to Refactor #25244: Better logging of exceptions added

Powered by TCPDF (www.tcpdf.org)

05/19/2024 2/2

http://www.tcpdf.org

